Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking
Class IESpyEventDecoder

    java.lang.Object
      scone.accesstracking.IESpyEventDecoder

    public class IESpyEventDecoder

extends java.lang.Object

The methods of this class are called by AppletConnector. Every message of the applet has its own method to evaluate the received information and to create and change Access events.

Version:
  1.1, 8-Dec-2002
Author:
  Torsten Hass, Harald Weinreich

Field Summary
`static int` | `ADDRESSBAR`
`static int` | `BACK`
`static int` | `BOOKMARK`
`static int` | `BROWSER_IE`
`static int` | `BROWSER_NS`
`static int` | `EXPLORERBAR`
`static int` | `FORMSUBMIT`
`static int` | `FRAGMENT`
`static int` | `HEURISTIC`
`static int` | `HOME`
`static int` | `HOTKEY`
`static int` | `HTMLMENU`
`static int` | `LINK`
`static int` | `LINKBUTTON`
`static int` | `MAINMENU`
`static int` | `NEWWINDOW`
`static int` | `NEXT`
`static int` | `RELOAD`
`static int` | `SELFLINK`
`static int` | `SKIPPED`
`static int` | `TBBUTTON`
`static int` | `TBMENU`

Constructor Summary
`IESpyEventDecoder()`

Method Summary
`void` | `formSubmited(long formTime, java.lang.String formAction)` This Method is invoked by Transceiver every time the User submits a form in a browser window.
`void` | `linkClicked(java.lang.String linkId, long linkTime)` This Method is invoked everytime the user clicks a link or chooses a Bookmark or performes any other action to load new page.
`void` | `logMessage(java.lang.String className, java.lang.String method, java.lang.String param)` This Method is invoked by Transceiver every time a specific user-action shall be logged.
`void` | `pageUnloaded(long stoppedTime)` When Page is unloaded, the Applet sends a corresponding text via status- line.
`void` | `printMsg(java.lang.String textMsg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINK

    public static final int LINK

See Also:
  Constant Field Values

### FRAGMENT

    public static final int FRAGMENT

See Also:
  Constant Field Values

### SELFLINK

    public static final int SELFLINK

See Also:
  Constant Field Values

### FORMSUBMIT

    public static final int FORMSUBMIT

See Also:
  Constant Field Values

### RELOAD

    public static final int RELOAD

See Also:
  Constant Field Values

### BACK

    public static final int BACK

See Also:
  Constant Field Values

### NEXT

    public static final int NEXT

See Also:
  Constant Field Values

### SKIPPED

    public static final int SKIPPED

See Also:
  Constant Field Values

### NEWWINDOW

    public static final int NEWWINDOW

See Also:
  Constant Field Values

### BOOKMARK

    public static final int BOOKMARK

See Also:
  Constant Field Values

### LINKBUTTON

    public static final int LINKBUTTON

See Also:
  Constant Field Values

### ADDRESSBAR

    public static final int ADDRESSBAR

See Also:
  Constant Field Values

### HOME

    public static final int HOME

See Also:
  Constant Field Values

### EXPLORERBAR

    public static final int EXPLORERBAR

See Also:
  Constant Field Values

### HOTKEY

    public static final int HOTKEY

See Also:
  Constant Field Values

### HTMLMENU

    public static final int HTMLMENU

See Also:
  Constant Field Values

### MAINMENU

    public static final int MAINMENU

See Also:
  Constant Field Values

### TBBUTTON

    public static final int TBBUTTON

See Also:
  Constant Field Values

### TBMENU

    public static final int TBMENU

See Also:
  Constant Field Values

### BROWSER_NS

    public static final int BROWSER_NS

See Also:
  Constant Field Values

### BROWSER_IE

    public static final int BROWSER_IE

See Also:
  Constant Field Values

### HEURISTIC

    public static final int HEURISTIC

See Also:
  Constant Field Values

Constructor Detail

### IESpyEventDecoder

    public IESpyEventDecoder()

Method Detail

### pageUnloaded

    public void pageUnloaded(long stoppedTime)

  When Page is unloaded, the Applet sends a corresponding text via status- line.

  Parameters:
    `stoppedTime` - The time the page was unloaded

### linkClicked

    public void linkClicked(java.lang.String linkId,
                            long linkTime)

  This Method is invoked everytime the user clicks a link or chooses a Bookmark or performes any other action to load new page. The "action" is stored in variable lastAction. When next Applet starts, the reason for last page change is read out of lastAction.

  Parameters:
    `action` - BitArray indicating users last action

### formSubmited

    public void formSubmited(long formTime,
                             java.lang.String formAction)

  This Method is invoked by Transceiver every time the User submits a form in a browser window. If the User submits a from, it can either be a mail form or a cgi form. If the form is a cgi form, the browser loads a new page after submit. This method stores the information of a submited form in history.setLastAction for the next page to get it. If it is a mail form, the browser sends the mail but stays on the same page.

  Parameters:
    `appletStartTime` -
    `userId` -
    `nodeId` -
    `startTime` -
    `frameName` -
    `formTime` - The time the formsubmit button was clicked
    `formAction` - The Action called by the form
    `accessEventExistedString` - If page comes from cache, a new start time had to be used.
    `browserName` - Number describing the browser

### logMessage

    public void logMessage(java.lang.String className,
                           java.lang.String method,
                           java.lang.String param)

  This Method is invoked by Transceiver every time a specific user-action shall be logged. This can be a pressed key, a mouseover-event or anything that can be traced by JavaScript.

  This message is then reported to the class and the (static) method defined in the transmitted parameters.

  Use the following JavaScript-Command to send a message:
  `document.LogApplet.logMsg("logMessage\nclassName=PACKAGE.CLASSNAME\nmethod=STATIC_METHOD\nparameter=PARAMETER_TO_BE_SENT\n");`
  where the strings in CAPITALS have to be replaced by the class, method and parameter you want...

  Parameters:
    `className` - Name of the class that shall be informed
    `method` - Name of the (static) method that shall be informed.
    `param` - The parameter/ message to be sent.

### printMsg

    public void printMsg(java.lang.String textMsg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD